Fix Bug Phpmyadmin [plugin_interface.lib.php] + Php7.2 + Ubuntu 16.04

Warning in ./libraries/plugin_interface.lib.php#532

count(): Parameter must be an array or an object that implements Countable

couse of phpmyadmin’s library try to count some parameter. At this line 532, I found this code in this path

$ /usr/share/phpmyadmin/libraries/plugin_interface.lib.php
if ($options != null && count($options) > 0) {

i think in new php version.It can’t use count() or sizeof() with un array type. Force parameter to array is easy way to solve this bug, Like This

if ($options != null && count((array)$options) > 0) {

May this trick help your code.

Source : https://medium.com/@chaloemphonthipkasorn/%E0%B9%81%E0%B8%81%E0%B9%89-bug-phpmyadmin-php7-2-ubuntu-16-04-92b287090b01